<!DOCTYPE html>
<html>    
    <body>
<?php
echo "-- types initiaux--<br/>";
$i = "7 nains"; // chaîne
$j = 2.45  ; // réel
$k = true  ; // booléen
var_dump($i);
echo "<br/>";
var_dump($j);
echo "<br/>";
var_dump($k);
echo "<br/>";
echo "-- types finaux--<br/>";
settype($i, "integer"); // $i vaut maintenant 7   (integer)
settype($j, "int");     // $j vaut maintenant 2   (integer)
settype($k, "string");  // $k vaut maintenant "1" (string)
var_dump($i);
echo "<br/>";
var_dump($j);
echo "<br/>";
var_dump($k);
echo "<br/>";
?>
    </body>
</html>
